Ticket #1921 (closed enhancement: fixed)

Opened 9 years ago

Last modified 9 years ago

softbankの最新機種では製造番号通知がOFFのためUIDでも対応したい

Reported by: lifemax Assigned to: kiwa
Priority: major Milestone: OpenPNE2.13.2
Component: pne-ktai Version:
Keywords: Cc:

Description (Last modified by kiwa)

■概要

softbankの最新機種では製造番号通知がOFFのためUIDでかんたんログインできるようにする。

■仕様

個体識別番号取得時、SoftBankで個体識別番号取得に失敗した場合UIDを取得する。

■関連情報

元のdescription

初めての投稿なので既に議論済みの場合はご了承ください。

私の使っているsoftbank携帯(912SH)では製造番号通知がデフォルトではオフのため、かんたんログインができませんでした。

関連チケット http://trac.openpne.jp/ticket/1515

softbank3G携帯ではUIDが取得できるため、こちらを取得すればログインができるはずです。

以下のサイトに(私のサイトですが・・)ソースを記述しています。 http://lifemax.s319.xrea.com/life-blog/2008/04/opnepneoff.html

UIDであれば機種変更しても変わらないため今後はこちらをメインで取得したほうがよいかもしれません。ご検討いただければ幸いです。

Change History

02/15/08 15:47:57 changed by lifemax

  • description changed.

02/15/08 15:48:45 changed by lifemax

  • description changed.

02/15/08 15:49:17 changed by lifemax

  • description changed.

02/15/08 16:17:34 changed by lifemax

  • description changed.

02/15/08 16:19:33 changed by lifemax

  • description changed.

02/16/08 17:07:51 changed by lifemax

  • description changed.
  • summary changed from softbankの最新機種では製造番号通知がOFFのためUIDで対応したい to softbankの最新機種では製造番号通知がOFFのためUIDでも対応したい.

04/13/08 17:55:59 changed by lifemax

  • description changed.

04/13/08 17:56:48 changed by lifemax

  • description changed.

05/15/08 16:52:46 changed by ogawa

  • version deleted.

05/15/08 16:53:36 changed by ogawa

  • priority changed from minor to major.

埋もれていましたが、是非検討したいです。

06/12/08 15:18:53 changed by lifemax

  • description changed.

08/28/08 14:33:46 changed by pnetan

  • milestone set to OpenPNE2.13.2.

ソースもいただいているので、2.13で検討してもよいのではないでしょうか

08/29/08 16:10:44 changed by kiwa

  • keywords set to 確認中.
  • description changed.

trunkにマージしました。

08/29/08 16:10:58 changed by kiwa

  • description changed.

08/29/08 16:53:04 changed by pnetan

  • keywords deleted.

http://sns.openpne.jp/?m=pc&a=page_fh_diary&target_c_diary_id=18667&comment_count=8 こちらに修正があがっています

プログラム修正しました。これでCGI版PHPでも正常に動作することを確認できました。

以下ソースです。
/webapp/lib/OpenPNE/KtaiID.php
の65行目に以下を追加

// SoftBank Vodafone(3G) UID取得
elseif (isset($_SERVER["x-jphone-uid"])){
$id = $_SERVER["x-jphone-uid"];
}elseif (isset($_SERVER['HTTP_X_JPHONE_UID'])){
$id = $_SERVER['HTTP_X_JPHONE_UID'];
}

以下のVodafon,SoftBank製造番号取得部分は残しても大丈夫ですが今後は必要なくなるかもしれません。

くにつじさんのご指摘、ご協力のおかげです。

(follow-up: ↓ 17 ) 08/29/08 16:59:59 changed by kiwa

  • keywords set to 確認中.

trunkにcomment:1 をマージしました。

(in reply to: ↑ 16 ) 08/29/08 17:00:43 changed by kiwa

Replying to kiwa:

trunkにcomment:1 をマージしました。

comment:15の間違いでした……。

09/03/08 17:17:51 changed by ebihara

  • keywords changed from 確認中 to 差し戻し.

以下の点を修正する必要があるかと思います。

  • PHP では $_SERVERx-jphone-uid? の形式で値を取得することはできません。$_SERVERHTTP_X_JPHONE_UID? の形式で取得する必要があります。つまり、 $_SERVERx-jphone-uid? の値をみようとしている箇所は不要です
  • 92行目〜96行目のコードは実行されることがありません。また、65行目から71行目のコードと重複しているため、明らかに不要な記述であり削除する必要があります
  • Vodafone(3G), SoftBank? 端末の場合、すでに個体識別番号を登録している既存のメンバーが、個体識別番号の再登録をしない限りログインできなくなる可能性があります。他に特別な配慮をおこなわない限り、一番最後に $_SERVERHTTP_X_JPHONE_UID? の取得をおこなうべきです

09/03/08 17:21:20 changed by ebihara

以下、comment:18 の訂正です。

以下の点を修正する必要があるかと思います。

  • PHP では $_SERVER['x-jphone-uid'] の形式で値を取得することはできません。$_SERVER['HTTP_X_JPHONE_UID'] の形式で取得する必要があります。つまり、 $_SERVER['x-jphone-uid'] の値をみようとしている箇所は不要です
  • 92行目〜96行目のコードは実行されることがありません。また、65行目から71行目のコードと重複しているため、明らかに不要な記述であり削除する必要があります
  • Vodafone(3G), SoftBank 端末の場合、すでに個体識別番号を登録している既存のメンバーが、個体識別番号の再登録をしない限りログインできなくなる可能性があります。他に特別な配慮をおこなわない限り、一番最後に $_SERVER['HTTP_X_JPHONE_UID'] の取得をおこなうべきです

09/03/08 21:23:38 changed by ebihara

OpenPNE開発談義での討論の結果、

  • このチケットでは HTTP_X_JPHONE_UID を優先して取得しないようにする
  • 今後、対応方法を練った上で HTTP_X_JPHONE_UID を優先して取得していけるようにする

という形で対応していこうと思います。

以下、ログになります。

海老原昂輔 17:39
では、iモードID も  HTTP_X_JPHONE_UID も、現時点では既存のSNSに影響を与えないように、優先して取得しないようにする。
そして、
優先して取得するようにするための改善用のチケットを作成してそこで継続して意見を募り、議論して対応方法を決める。
という方針はどうでしょう。

09/03/08 21:43:00 changed by ebihara

  • keywords changed from 差し戻し to 確認中.

r8186 で、 HTTP_X_JPHONE_UID を優先して取得しないよう修正しました。

09/03/08 21:45:26 changed by ebihara

  • keywords changed from 確認中 to 差し戻し.

HTTP_X_JPHONE_UID の取得部分で UA 判定を考慮しなくなってしまっていたので、再修正をおこないます。

09/03/08 21:57:59 changed by ebihara

  • keywords changed from 差し戻し to 確認中.

r8187 で、 HTTP_X_JPHONE_UID の取得部分で UA 判定を考慮しなくなってしまっていたのを修正しました。

09/08/08 20:48:28 changed by kiwa

  • owner changed from nobody to kiwa.
  • status changed from new to assigned.

09/08/08 20:57:35 changed by ogawa

  • keywords changed from 確認中 to テスト待ち.

09/08/08 21:04:47 changed by kiwa

  • keywords deleted.
  • status changed from assigned to closed.
  • resolution set to fixed.